import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class SdScrollDirective implements OnInit {
    #private;
    private elementRef;
    private renderer;
    onMouseOver(): void;
    onMouseOut(): void;
    constructor(elementRef: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    scrollTop: () => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SdScrollDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SdScrollDirective, "[sdScroll]", never, {}, {}, never, never, true, never>;
}
